package com.ruoyi.szxc.mapper;

import com.ruoyi.szxc.domain.SzxcDyManage;

import java.util.List;

/**
 * 党员管理Mapper接口
 * 
 * @author hs
 * @date 2024-03-22
 */
public interface SzxcDyManageMapper 
{
    /**
     * 查询党员管理
     * 
     * @param id 党员管理主键
     * @return 党员管理
     */
    public SzxcDyManage selectSzxcDyManageById(Long id);

    /**
     * 查询党员管理列表
     * 
     * @param szxcDyManage 党员管理
     * @return 党员管理集合
     */
    public List<SzxcDyManage> selectSzxcDyManageList(SzxcDyManage szxcDyManage);

    /**
     * 新增党员管理
     * 
     * @param szxcDyManage 党员管理
     * @return 结果
     */
    public int insertSzxcDyManage(SzxcDyManage szxcDyManage);

    /**
     * 修改党员管理
     * 
     * @param szxcDyManage 党员管理
     * @return 结果
     */
    public int updateSzxcDyManage(SzxcDyManage szxcDyManage);

    /**
     * 删除党员管理
     * 
     * @param id 党员管理主键
     * @return 结果
     */
    public int deleteSzxcDyManageById(Long id);

    /**
     * 批量删除党员管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSzxcDyManageByIds(Long[] ids);
}
